# This spec is backported to ALTLinux 4.0 automatically by rpmbh script. Do not edit it.
Name: gadmin-samba
Version: 0.2.4
Release: alt0.M40.2

Summary: Gadmin-samba -- A GTK+ administation tool for the SAMBA server.
Group: System/Configuration/Other
Source: %name-%version.tar.gz
Source1: %name.pam
Patch1: alt-%name-desktop.patch
Patch: alt-gadmin-samba-paths.patch
License: GPL
Packager: Eugene Ostapets <eostapets@altlinux.org>

# Automatically added by buildreq on Mon Apr 30 2007
BuildRequires: libgtk+2-devel  ImageMagick

BuildRequires: rpm-build-compat >= 0.95

%description
GADMIN-SAMBA is a fast and easy to use GTK+ administration tool for the SAMBA server.

%prep
%setup
%patch -p1
%patch1 -p1

%build
autoreconf -fisv
%configure SYSINIT_START_CMD="chkconfig smb on" SYSINIT_STOP_CMD="chkconfig smb off"

%make_build

%install
%make DESTDIR=%buildroot install
rm -r %buildroot%_docdir/%name
install -d %buildroot%_bindir
# pam auth
install -d %buildroot%_sysconfdir/pam.d/
install -d %buildroot%_sysconfdir/security/console.apps
install -m 644 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name
install -m 644 etc/security/console.apps/%name %buildroot%_sysconfdir/security/console.apps/%name

# desktop entry
install -d %buildroot%_desktopdir
install -m 644 desktop/%name.desktop %buildroot%_desktopdir/%name.desktop

ln -s consolehelper %buildroot%_bindir/%name
for size in 16x16 32x32 48x48 ; do
    mkdir -p %buildroot%_iconsdir/hicolor/$size/apps
    convert %buildroot%_pixmapsdir/%name.png -size $size %buildroot%_iconsdir/hicolor/$size/apps/%name.png
done

%find_lang %name

%files -f %name.lang
%doc README AUTHORS ChangeLog COPYING
%_bindir/%name

%config %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*

%_desktopdir/*.desktop

%_sbindir/%name
%_pixmapsdir/%name.png
%dir %_pixmapsdir/%name
%_pixmapsdir/%name/*
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_localstatedir/samba/netlogon/*

%changelog
* Wed Mar 12 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.4-alt0.M40.2
- backport to ALTLinux 4.0 (by rpmbph script)

* Wed Mar 12 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.4-alt2
- fix desktop entry (tnx repocop)
- fix icons (tnx repocop)

* Fri Mar 07 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.4-alt1
- first build

